Get Project Folders
GET /api/creative/visual-studio/projects/{project_id}/folders
GET
/api/creative/visual-studio/projects/{project_id}/folders
Get all folders for a project.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” project_id
required
Project Id
string
Responses
Section titled “ Responses ”Successful Response
VisualFolderListResponse
Response model for listing folders.
object
folders
Folders
Folders
Array<object>
VisualFolderVisual folder model for organizing assets within a project.
object
id
required
Id
Folder ID
string
projectId
required
Projectid
Project ID
string
name
required
Name
Folder name
string
color
Color
Folder color hex
string
folderType
VisualFolderType
Folder type
string
createdAt
required
Createdat
Creation timestamp
integer
updatedAt
required
Updatedat
Last update timestamp
integer
total
Total
Total folder count
integer
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context